Download it now!
Bug 33209 - Help does not show for extensions
Summary: Help does not show for extensions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2011-01-17 09:42 UTC by Petr Mladek
Modified: 2018-09-29 19:27 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2011-01-17 09:42:49 UTC
Extensions might install extra help content. LO tries to find it online if the main help is not installed locally.

we either need to add support to add online for extensions. Or we need to look for such help snippets locally even when the main help is not installed.

Steps to reproduce:

1. make sure that you do not have installed the main help
2. install media wiki extension (installed by default in official LO)
3. open LO Writer
4. select in menu "File/Send/To MediaWiki..."
5. Press the "Help" button

Result: Open browser with empty wiki page

Expected result: show exisitng wiki page or show the local help content
Comment 1 Petr Mladek 2011-01-17 09:44:46 UTC
Kendy, this is for you.

Note that it was inspired by the bug 33151.
Comment 2 bfoman (inactive) 2013-05-16 10:58:00 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 3 Dennis Roczek 2016-04-22 14:46:21 UTC
Kendy that bug is still assign to you since 2011...

any updates *g*

(friday rant XD)
Comment 4 Jan Holesovsky 2016-04-22 15:25:10 UTC
This is not trivial to sort out currently; but have some concepts that might improve the situation here.
Comment 5 Ekansh Jha 2017-11-30 14:57:02 UTC
(In reply to Petr Mladek from comment #0)
I haven't understand steps to reproduce. please help.
Comment 6 Olivier Hallot 2018-04-22 10:45:19 UTC
This issue is still valid for the new help online which replaces wikihelp.

The problem is that the online help is built only from helpcontent2/ submodule contents.

For bundled extensions of LibreOffice (part of the distribution package) such as Mediawiki, the online build system can be improved to pick the help (xhp) pages from the extensions/ module.

For generic extensions, out of LO main source code, this is more complex. Help pages can't be uploaded to helponline service and must be displayed locally.
Comment 7 Commit Notification 2018-06-14 18:50:05 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06a1c2c9fc467604372495023983874fba33ca85

tdf#33209: Context-sensitive help for extensions in otherwise HTML-help cases

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-06-15 06:57:10 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=642e7c6c93f28ef38442b3e06bab033ec9b2a407&h=libreoffice-6-1

tdf#33209: Context-sensitive help for extensions in otherwise HTML-help cases

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-07-16 18:22:58 UTC
A polite ping to Stephan Bergmann:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 10 Stephan Bergmann 2018-07-23 13:00:42 UTC
(In reply to Xisco Faulí from comment #9)
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?

Quoting the commit message of <https://cgit.freedesktop.org/libreoffice/core/commit/?id=06a1c2c9fc467604372495023983874fba33ca85> "tdf#33209: Context-sensitive help for extensions in otherwise HTML-help cases":

"When extensions bring along help content (in the form of .xhp files), that was completely unavailable in --without-help (i.e., defering to online HTML help) and --with-help=html (i.e., displaying the new offline HTML help in a browser) builds.  (Merely extended tooltips brought along by extensions would work in those builds.)

"With this change, at least context-sensitive help (i.e., pressing F1 in an extension's dialog) will be shown. Although not integrated with the rest of the (browser-based HTML) help, but using LO's own old help viewer.  (Which will then of course only offer the combined help content of all the installed extensions, not any help content provided by LO itself.  Thus, links from extensions' help content to LO help content will not work.)

"This is only a cheap stopgap.  If an extension brings along help content other than context-sensitive help (which is reachable by pressing F1 in the respective context), there is no easy way for the user to reach it.  (That includes help pages listed in an extension's help.tree, and index entries.  See the commit message of 4a0ca73c31990568bf20a1c3f0906c3a5770a38e 'Add some help content to test-passive.oxt' for an overview of what help conent an extension can provide.)"

So I wouldn't consider this issue satisfyingly fixed.  But I at least won't do any further work on this issue at least in the foreseeable future, esp. not for the upcoming LO 6.1.